import { Snippet } from '@alilc/lowcode-types';

export const snippets: Snippet[] = [
  {
    title: '可编辑表格',
    screenshot: 'https://alifd.alicdn.com/fusion-cool/icons/icon-antd/table-1.png',
    schema: {
      componentName: 'EditableProTable',
      props: {
        columns: [
          {
            title: '标题',
            dataIndex: 'title',
            valueType: 'text',
            align: 'left',
            fixed: '',
          },
          {
            title: '描述',
            dataIndex: 'decs',
            valueType: 'textarea',
            align: 'left',
            fixed: '',
          },
          {
            title: '选择框',
            dataIndex: 'select',
            valueType: 'select',
            align: 'left',
            fixed: '',
            fieldProps: {
              style: {
                width: 70,
              },
              size: 'small',
            },
            valueEnum: {
              closed: {
                text: '关闭',
                status: 'Default',
              },
              processing: {
                text: '运行中',
                status: 'Processing',
              },
              open: {
                text: '已上线',
                status: 'Success',
              },
            },
            renderTag: false,
          },
          {
            title: '单选',
            dataIndex: 'radio',
            valueType: 'radio',
            valueEnum: {
              closed: {
                text: '关闭',
                status: 'Default',
              },
              processing: {
                text: '运行中',
                status: 'Processing',
              },
              open: {
                text: '已上线',
                status: 'Success',
              },
            },
            fixed: '',
            renderTag: true,
            align: 'left',
          },
          {
            title: '单选按钮',
            valueType: 'radioButton',
            dataIndex: 'radioButton',
            renderTag: true,
            align: 'left',
            fieldProps: {
              size: 'small',
            },
            valueEnum: {
              closed: {
                text: '关闭',
                status: 'Default',
              },
              processing: {
                text: '运行中',
                status: 'Processing',
              },
              open: {
                text: '已上线',
                status: 'Success',
              },
            },
            fixed: '',
          },
          {
            title: '切换',
            dataIndex: 'switch',
            valueType: 'switch',
          },
          {
            title: '日期',
            dataIndex: 'date',
            valueType: 'date',
          },
          {
            title: '操作',
            dataIndex: 'options',
            valueType: 'option',
            align: 'left',
            fixed: '',
            render: {
              type: 'JSSlot',
              params: ['text', 'record', 'index', 'action'],
              value: [
                {
                  componentName: 'Slot',
                  id: 'node_ocl7q3p7i02',
                  props: {},
                  docId: 'docl7q3p7i0',
                  params: ['text', 'record', 'index', 'action'],
                  hidden: false,
                  isLocked: false,
                  condition: true,
                  conditionGroup: '',
                  title: '',
                  children: [
                    {
                      componentName: 'Slot',
                      id: 'node_ocl7q35ri92',
                      props: {},
                      docId: 'docl7q35ri9',
                      params: ['text', 'record', 'index', 'action'],
                      hidden: false,
                      isLocked: false,
                      condition: true,
                      conditionGroup: '',
                      title: '',
                      children: [
                        {
                          componentName: 'Slot',
                          id: 'node_ocl7pxwywc2',
                          props: {},
                          docId: 'docl7pxwywc',
                          params: ['text', 'record', 'index', 'action'],
                          hidden: false,
                          isLocked: false,
                          condition: true,
                          conditionGroup: '',
                          title: '',
                          children: [
                            {
                              componentName: 'Slot',
                              id: 'node_ocl7pp972t2',
                              props: {},
                              docId: 'docl7pp972t',
                              params: ['text', 'record', 'index', 'action'],
                              hidden: false,
                              isLocked: false,
                              condition: true,
                              conditionGroup: '',
                              title: '',
                              children: [
                                {
                                  componentName: 'Slot',
                                  id: 'node_ocl7pp4ext4',
                                  props: {},
                                  docId: 'docl7pp4ext',
                                  params: ['text', 'record', 'index', 'action'],
                                  hidden: false,
                                  isLocked: false,
                                  condition: true,
                                  conditionGroup: '',
                                  title: '',
                                  children: [
                                    {
                                      componentName: 'Slot',
                                      id: 'node_ocl7povmy12',
                                      props: {},
                                      docId: 'docl7povmy1',
                                      params: ['text', 'record', 'index', 'action'],
                                      hidden: false,
                                      isLocked: false,
                                      condition: true,
                                      conditionGroup: '',
                                      title: '',
                                      children: [
                                        {
                                          componentName: 'Slot',
                                          id: 'node_ocl7pmap6c3',
                                          props: {},
                                          docId: 'docl7pmap6c',
                                          params: ['text', 'record', 'index', 'action'],
                                          hidden: false,
                                          isLocked: false,
                                          condition: true,
                                          conditionGroup: '',
                                          title: '',
                                          children: [
                                            {
                                              componentName: 'Slot',
                                              id: 'node_ocl7pltm104',
                                              props: {},
                                              docId: 'docl7pltm10',
                                              params: ['text', 'record', 'index', 'action'],
                                              hidden: false,
                                              isLocked: false,
                                              condition: true,
                                              conditionGroup: '',
                                              title: '',
                                              children: [
                                                {
                                                  componentName: 'Slot',
                                                  id: 'node_ocl7oxjp564',
                                                  props: {},
                                                  docId: 'docl7oxjp56',
                                                  params: ['text', 'record', 'index', 'action'],
                                                  hidden: false,
                                                  isLocked: false,
                                                  condition: true,
                                                  conditionGroup: '',
                                                  title: '',
                                                  children: [
                                                    {
                                                      componentName: 'Slot',
                                                      id: 'node_ocl7ox7hyt4',
                                                      props: {},
                                                      docId: 'docl7ox7hyt',
                                                      params: ['text', 'record', 'index', 'action'],
                                                      hidden: false,
                                                      isLocked: false,
                                                      condition: true,
                                                      conditionGroup: '',
                                                      title: '',
                                                      children: [
                                                        {
                                                          componentName: 'Button',
                                                          id: 'node_ocl7ox6zbte',
                                                          props: {
                                                            type: 'link',
                                                            children: '编辑',
                                                            htmlType: 'button',
                                                            size: 'small',
                                                            shape: 'default',
                                                            block: false,
                                                            danger: false,
                                                            ghost: false,
                                                            disabled: false,
                                                            icon: '',
                                                            __events: {
                                                              eventDataList: [
                                                                {
                                                                  type: 'componentEvent',
                                                                  name: 'onClick',
                                                                  relatedEventName:
                                                                    'onRowEditClick',
                                                                  paramStr:
                                                                    '{\n \t "record": this.record,\n\t\taction: this.action,\n\t\tindex: this.index\n}',
                                                                },
                                                              ],
                                                              eventList: [
                                                                {
                                                                  name: 'onClick',
                                                                  template:
                                                                    "onClick(event,${extParams}){\n// 点击按钮时的回调\nconsole.log('onClick', event);}",
                                                                  disabled: true,
                                                                },
                                                              ],
                                                            },
                                                            onClick: {
                                                              type: 'JSFunction',
                                                              value:
                                                                'function(){this.onRowEditClick.apply(this,Array.prototype.slice.call(arguments).concat([{\n \t "record": this.record,\n\t\taction: this.action,\n\t\tindex: this.index\n}])) }',
                                                            },
                                                          },
                                                          docId: 'docl7ox7hyt',
                                                          hidden: false,
                                                          title: '',
                                                          isLocked: false,
                                                          condition: true,
                                                          conditionGroup: '',
                                                        },
                                                      ],
                                                    },
                                                  ],
                                                },
                                              ],
                                            },
                                          ],
                                        },
                                      ],
                                    },
                                  ],
                                },
                              ],
                            },
                          ],
                        },
                      ],
                    },
                  ],
                },
              ],
            },
            width: 80,
          },
        ],
        rowKey: 'id',
        ref: 'pro_table_0corcf4nxev',
        manualRequest: true,
        showHeader: true,
        size: 'default',
        tableLayout: '',
        scroll: {
          scrollToFirstRowOnChange: true,
        },
        rowSelection: false,
        search: false,
        editable: {
          type: 'multiple',
        },
        value: {
          type: 'JSExpression',
          value: 'this.state.tableData',
        },
        loading: {
          type: 'JSExpression',
          value: 'this.state.tableLoading',
        },
      },
    },
  },
];
