import { columns, dataSource, options, toolBarRender } from '../common/common';

export const batchOperation = {
  title: '表格批量操作',
  screenshot: 'https://alifd.alicdn.com/fusion-cool/icons/icon-antd/table-1.png',
  schema: {
    componentName: 'ProTable',
    props: {
      dataSource,
      columns: [...columns, options],
      rowSelection: {
        selectedRowKeys: [1],
      },
      tableAlertRender: {
        type: 'JSSlot',
        params: ['param'],
        value: [
          {
            componentName: 'Typography.Text',
            children: {
              type: 'JSExpression',
              value: '"已选 "+this.param.selectedRowKeys.length+" 项"',
            },
          },
        ],
      },
      tableAlertOptionRender: {
        type: 'JSSlot',
        params: ['param'],
        value: [
          {
            componentName: 'Button',
            props: {
              type: 'link',
              children: '批量导出',
              htmlType: 'button',
              size: 'small',
              shape: 'default',
              block: false,
              danger: false,
              ghost: false,
              disabled: false,
              icon: '',
            },
          },
        ],
      },
      rowKey: 'id',
      pagination: {
        pageSize: 10,
        current: 1,
      },
      search: {
        defaultCollapsed: false,
        resetText: '',
        searchText: '',
        collapsed: false,
        labelWidth: '80',
        span: 8,
      },
      scroll: {
        scrollToFirstRowOnChange: true,
        x: 1200,
        y: 300,
      },
      toolBarRender,
    },
  },
};
