import { columns, dataSource, options, toolBarRender } from '../common/common';

export const customOperation = {
  title: '表单操作自定义',
  screenshot: 'https://alifd.alicdn.com/fusion-cool/icons/icon-antd/table-1.png',
  schema: {
    componentName: 'ProTable',
    props: {
      dataSource,
      columns: [...columns, options],
      rowKey: 'id',
      pagination: {
        pageSize: 10,
        current: 1,
      },
      search: {
        defaultCollapsed: false,
        resetText: '',
        searchText: '',
        collapsed: false,
        labelWidth: '80',
        span: 8,
        optionRender: {
          type: 'JSSlot',
          params: ['searchConfig', 'formProps', 'dom'],
          value: [
            {
              componentName: 'Button',
              props: {
                children: '查询',
                icon: '',
                type: 'primary',
                htmlType: 'submit',
                style: {
                  marginRight: '12px',
                },
              },
            },
            {
              componentName: 'Button',
              props: {
                children: '重置',
                htmlType: 'reset',
                icon: '',
                style: {
                  marginRight: '12px',
                },
              },
            },
            {
              componentName: 'Button',
              props: {
                children: '导出',
                icon: '',
              },
            },
          ],
        },
      },
      scroll: {
        scrollToFirstRowOnChange: true,
        x: 1200,
        y: 300,
      },
      toolBarRender,
    },
  },
};
